## awlsim-0.74.1.tar.gz

=== submodules/pyprofibus/micropython/Makefile ===
PYS		:=
BOOTPY		:= boot.py
MAINPY		:= main.py
MAINPYDIR	:=
GSDS		:=
CONFS		:=

SRCDIR		:=
BUILDDIR	:=

MARCH		:= xtensawin
MPYCROSS_OPTS	:= -O0
GSDPARSER_OPTS	:= --dump-strip --dump-notext --dump-noextuserprmdata

MPYCROSS	:= mpy-cross
GSDPARSER	:= $(SRCDIR)/gsdparser
MKDIR		:= mkdir
CP		:= cp
RM		:= rm

_MPYS		= $(sort $(patsubst %.py,$(2)/%.mpy,$(1)))
_GSDMPYS	= $(sort $(patsubst %.gsd,$(2)/%_gsd.mpy,$(1)))
_GSDPYS		= $(sort $(patsubst %.gsd,$(2)/%_gsd.py,$(1)))
_CONFS		= $(sort $(patsubst %.conf,$(2)/%.conf,$(1)))
_MPYCROSS	= $(MPYCROSS) "$(1)" -s "$(2)" -march="$(MARCH)" $(MPYCROSS_OPTS) -o "$(3)"

all: $(call _MPYS,$(PYS),$(BUILDDIR)) \
     $(call _GSDMPYS,$(GSDS),$(BUILDDIR)) \
     $(call _CONFS,$(CONFS),$(BUILDDIR)) \
     $(BUILDDIR)/$(BOOTPY) \
     $(BUILDDIR)/$(MAINPY)

$(BUILDDIR)/%.mpy: %.py
	@$(MKDIR) -p "$(dir $@)"
	$(call _MPYCROSS,$<,$(shell basename "$<"),$@)

$(BUILDDIR)/%_gsd.mpy: %.gsd
	@$(MKDIR) -p "$(dir $@)"
	$(GSDPARSER) -D $(GSDPARSER_OPTS) -o "$(call _GSDPYS,$<,$(BUILDDIR))" "$<"
	$(call _MPYCROSS,$(call _GSDPYS,$<,$(BUILDDIR)),$(shell basename "$(call _GSDPYS,$<,$(BUILDDIR))"),$@)
	$(RM) "$(call _GSDPYS,$<,$(BUILDDIR))"

$(BUILDDIR)/%.conf: %.conf
	@$(MKDIR) -p "$(dir $@)"
	$(CP) "$<" "$@"

$(BUILDDIR)/$(BOOTPY) $(BUILDDIR)/$(MAINPY): $(BUILDDIR)/%.py: $(MAINPYDIR)/%.py
	@$(MKDIR) -p "$(dir $@)"
	$(CP) "$<" "$@"

clean:
	$(RM) -rf $(BUILDDIR)

.PHONY: all clean

=== debian/changelog ===
awlsim (0.74.1) UNRELEASED; urgency=low

  * Version 0.74.1

 -- Michael Buesch <m@bues.ch>  Mon, 01 Feb 2016 00:00:00 +0100

=== pilc/deb/pilc-system/debian/changelog ===
pilc-system (1.0) testing; urgency=medium

  * Initial release

 -- Michael Buesch <m@bues.ch>  Sat, 29 Jun 2019 16:46:44 +0200

=== submodules/pyprofibus/debian/changelog ===
pyprofibus (1.9) UNRELEASED; urgency=low

  * Version 1.9

 -- Michael Buesch <m@bues.ch>  Mon, 01 Feb 2016 00:00:00 +0100

=== pilc/deb/pilc-system/debian/control ===
Source: pilc-system
Section: misc
Priority: optional
Maintainer: Michael Buesch <m@bues.ch>
Build-Depends: debhelper (>= 11)
Standards-Version: 4.1.3
Homepage: https://bues.ch/a/pilc

Package: pilc-system
Architecture: all
Depends: ${misc:Depends}, raspberrypi-sys-mods, raspberrypi-net-mods, openssh-server
Description: PiLC system files
 System files for the PiLC.

=== submodules/pyprofibus/debian/control ===
Source: pyprofibus
Maintainer: Michael Buesch <m@bues.ch>
Section: python
Priority: optional
Build-Depends: dh-python,
               python3-all-dev (>= 3.4.2-2),
               python3-setuptools,
               debhelper (>= 9)
Standards-Version: 3.9.6
X-Python3-Version: >= 3.4
Vcs-Git: git://git.bues.ch/pyprofibus.git
Vcs-Browser: https://bues.ch/gitweb?p=pyprofibus.git
Homepage: https://bues.ch/a/profibus


Package: python3-pyprofibus
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: PROFIBUS-DP stack (Python 3)
 pyprofibus is a PROFIBUS-DP stack written in Python.


Package: profisniff
Architecture: any
Depends: python3-pyprofibus,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: PROFIBUS-DP telegram sniffer (Python 3)
 PROFIBUS-DP telegram sniffer based on pyprofibus.


Package: gsdparser
Architecture: any
Depends: python3-pyprofibus,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: PROFIBUS-DP GSD file parser (Python 3)
 PROFIBUS-DP GSD file parser based on pyprofibus.

=== debian/rules ===
#!/usr/bin/make -f

export LC_ALL=C.UTF-8
#export DH_VERBOSE=1

export PYBUILD_NAME=awlsim
export PYBUILD_SYSTEM=distutils
#export PYBUILD_INTERPRETERS=python{version} python{version}-dbg
#export PYBUILD_VERSIONS=
#export PYBUILD_DEBUG=1

export PYBUILD_DESTDIR_python3=debian/destdir-py3-awlsim/
export PYBUILD_DESTDIR_python3-dbg=debian/destdir-py3-awlsim-dbg/

export PYTHONDONTWRITEBYTECODE=1
export PYTHONPATH=
export PYTHONSTARTUP=
export PYTHONINSPECT=

export AWLSIM_CYTHON_BUILD=1
export AWLSIM_CYTHON_PARALLEL=1

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	true

=== pilc/deb/pilc-system/debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@ --with systemd

override_dh_installinit:
	dh_installinit --name=pilc_regenerate_ssh_host_keys --no-restart-on-upgrade --no-start
	dh_installinit --name=pilc_resize_rootfs

override_dh_systemd_enable:
	dh_systemd_enable --name=pilc_regenerate_ssh_host_keys --no-enable
	dh_systemd_enable --name=pilc_resize_rootfs

override_dh_systemd_start:
	dh_systemd_start --name=pilc_regenerate_ssh_host_keys --no-start
	dh_systemd_start --name=pilc_resize_rootfs
